%define	name	open
%define	version	1.4
%define	release	%mkrel 23
Summary:	A tool which will start a program on a virtual console
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Terminals
Source:		ftp://sunsite.unc.edu/pub/Linux/utils/console/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.4-includes.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires(pre):	filesystem >= 2.1.9-18

%description
The open command starts a specified command with the first available virtual
console, or on a virtual console that you specify.

Install the open package if you regularly use virtual consoles to run programs.

%prep
%setup -q
%patch0 -p1

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1}

make BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/open
%{_bindir}/switchto
%{_mandir}/man1/open.*
%{_mandir}/man1/switchto.*






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4-23.mga3
+ Revision: 361874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 1.4-22.mga3
+ Revision: 273158
- Update for usrmove

* Thu Mar 17 2011 tv <tv> 1.4-21.mga1
+ Revision: 73227
- imported package open

